stages:
  - deploy

deploy-site:
  stage: deploy
  image: registry.gitlab.com/gitlab-org/cloud-deploy/aws-base:latest
  variables:
    S3_BUCKET_URI: "s3://jonny-nginx-bucket"
    STATIC_SITE_FILE_PATH: "playground/nginx-autoscaling/public/"
    STATIC_SITE_FILE: "index.html"
    ASG_NAME: "nginx-autoscaling"
  script: 
    - aws s3 cp $STATIC_SITE_FILE_PATH/$STATIC_SITE_FILE $S3_BUCKET_URI/$STATIC_SITE_FILE
    - aws autoscaling start-instance-refresh --auto-scaling-group-name $ASG_NAME
  rules:
    - if: $CI_COMMIT_BRANCH == "master" && $CI_PIPELINE_SOURCE == "push"
      when: always
